Khronos Public Bugzilla
Bug 839 - Device Info Visibility Extension
Device Info Visibility Extension
Status: RESOLVED WONTFIX
Product: WebCL
Classification: Unclassified
Component: Specification
1.0
All All
: P3 normal
: ---
Assigned To: WebCL Mailing List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-21 10:56 PDT by steven eliuk
Modified: 2013-10-23 06:56 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steven eliuk 2013-03-21 10:56:01 PDT
The WG has identified the need to make visible all device info through an extension,

Let us decide on a suitable name and any other details concerning this extension,

The WebGL group is proposing a similar extension can we use their discussion for guidance?
Comment 1 Igor Oliveira 2013-03-21 11:09:32 PDT
I think this one should not be an 0-day extension. And can be proposed after the release of WebCL 1.0
Comment 2 steven eliuk 2013-06-05 15:15:06 PDT
Small update: Jeff Gilbert mentioned he was working on a similar proposal for the WebGL working group and could produce a similar proposal for the WebCL working group.

We can close this bug once the proposal is finalized,
Comment 3 Tomi Aarnio 2013-10-23 06:56:10 PDT
I don't think there's any need for a Device Info Visibility Extension anymore. All (non-deprecated) info parameters are now either always visible or optionally visible, as per bug 826.